Subject: Re: bug#55329: [PATCH] Choose latex environment for table.el export

From: Vladimir Nikishkin <[email-masked]>
Date: Mon, 09 May 2022 19:28:29 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Vladimir Nikishkin  <[email-masked]>
>> Date: Mon, 09 May 2022 10:30:57 +0800
>> 
>> The patch creates 1 new customize variable:
>> 1. table-latex-environment
>> 
>> And changes the following 2 functions:
>> 1. table--generate-source-epilogue
>> 2. table--generate-source-prologue
>
> Thanks.  A couple of minor nits:
>
>> +(defcustom table-latex-environment "tabular"
>> +  "Which tabular-compatible environment to use when generating latex.
>> +tabular and longtable are known to work."
>
> I'm not sure I understand the purpose of the last sentence, nor what
> it adds to the doc string.
>
> Also, perhaps we should prefer symbol values, not string values here?
> Symbols are easier to compare and harder to make mistakes.

I think this is a duplicate bug, I am sorry. This patch has already been
reviewed and accepted by Lars Ingebrigtsen.

> I'm not sure I understand the purpose of the last sentence, nor what
> Symbols are easier to compare and harder to make mistakes.

This setting accepts a free-form write-in. There may be more Latex
environments satisfying the "tabular" protocol, not just "tabular"
itself and "longtable". I haven't done an extensive survey, but I
suspect that most do. If this value is interpreted as a symbol, it
would require a "symbol->string" at the time of actually writing
the code into the final buffer. I don't think that a symbol would
really fit here.

-- 
Your sincerely,
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)